---
title: LinearAccelerationSensor
slug: Web/API/LinearAccelerationSensor
tags:
  - API
  - Accelerometer
  - Accelerometer API
  - Generic Sensor API
  - Interface
  - LinearAccelerationSensor
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>LinearAccelerationSensor</code></strong> interface of the <a href="/docs/Web/API/Sensor_APIs">Sensor APIs</a> provides on each reading the acceleration applied to the device along all three axes, but without the contribution of gravity. </span></p>

<p>To use this sensor, the user must grant permission to the <code>'accelerometer'</code> device sensor through the {{domxref('Permissions')}} API.</p>

<p>If a feature policy blocks use of a feature it is because your code is inconsistent with the policies set on your server. This is not something that would ever be shown to a user. See {{httpheader('Feature-Policy')}} for implementation instructions.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
	<dt>{{domxref("LinearAccelerationSensor.LinearAccelerationSensor()")}}</dt>
	<dd>Creates a new <code>LinearAccelerationSensor</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its ancestor, {{domxref('Accelerometer')}}.</em></p>

<h2 id="Example">Example</h2>

<p>Linear acceleration is typically read in the {{domxref('Sensor.onreading')}} event callback. In the example below this occurs sixty times a second.</p>

<pre class="brush: js notranslate">let laSensor = new LinearAccelerationSensor({frequency: 60});

laSensor.addEventListener('reading', e =&gt; {
  console.log("Linear acceleration along the X-axis " + laSensor.x);
  console.log("Linear acceleration along the Y-axis " + laSensor.y);
  console.log("Linear acceleration along the Z-axis " + laSensor.z);
});
laSensor.start();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Generic Sensor')}}</td>
			<td>{{Spec2('Generic Sensor')}}</td>
			<td>Defines sensors in general.</td>
		</tr>
		<tr>
			<td>{{SpecName('Accelerometer','#linearaccelerationsensor-interface','LinearAccelerationSensor')}}</td>
			<td>{{Spec2('Accelerometer')}}</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.LinearAccelerationSensor")}}</p>
